<?php
/*
 Plugin Name: BuddyPress Activity Stream Ajax Notifier
 Plugin URI: http://wordpress.org/extend/plugins/buddypress-activity-stream-ajax-notifier/
 Description: Adds a timed ajax notification when the activity stream has an update.
 Author: rich fuller - rich! @ etiviti
 Author URI: http://buddypress.org/developers/nuprn1/
 License: GNU GENERAL PUBLIC LICENSE 3.0 http://www.gnu.org/licenses/gpl.txt
 Version: 0.1.0
 Text Domain: bp-activity-ajax
 Site Wide Only: true
*/

/* Only load code that needs BuddyPress to run once BP is loaded and initialized. */
function bp_activity_ajax_init() {
	global $bp;

	if ( !is_user_logged_in() )
		return;

	require( dirname( __FILE__ ) . '/bp-activity-ajax-process.php' );

	if ( $bp->current_action != $bp->activity->slug && !bp_is_activity_front_page() && !bp_is_activity_component() && !bp_is_group_activity() && !bp_is_group_home() )
		return;

    require( dirname( __FILE__ ) . '/bp-activity-ajax.php' );
		
}
add_action( 'bp_init', 'bp_activity_ajax_init' );


//add admin_menu page
function bp_activity_ajax_admin_add_admin_menu() {
	global $bp;
	
	if ( !is_site_admin() )
		return false;

	//Add the component's administration tab under the "BuddyPress" menu for site administrators
	//require ( dirname( __FILE__ ) . '/admin/bp-activity-ajax-admin.php' );

	//add_submenu_page( 'bp-general-settings', __( 'Activity Notifier', 'bp-activity-ajax' ), __( 'Activity Notifier', 'bp-activity-ajax' ), 'manage_options', 'bp-activity-ajax-settings', 'bp_activity_ajax_admin' );	

	//set up defaults

}

//loader file never works - as it doesn't hook the admin_menu
if ( defined( 'BP_VERSION' ) ) {
	add_action( 'admin_menu', 'bp_activity_ajax_admin_init' );
} else {
	add_action( 'bp_init', 'bp_activity_ajax_admin_init');
}

function bp_activity_ajax_admin_init() {
	add_action( 'admin_menu', 'bp_activity_ajax_admin_add_admin_menu', 25 );
}
?>